Bug 222657 - www/radicale: update to 2.x.x
Summary: www/radicale: update to 2.x.x
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Bernhard Froehlich
URL:
Keywords:
Depends on:
Blocks: 219859
  Show dependency treegraph
 
Reported: 2017-09-28 06:13 UTC by Michael Bueker
Modified: 2018-06-25 04:44 UTC (History)
9 users (show)

See Also:
bugzilla: maintainer-feedback? (feld)


Attachments
Update to 2.1.8. (3.32 KB, patch)
2018-03-18 03:23 UTC, Alexandre C. Guimarães
tobik: maintainer-approval? (sunpoet)
Details | Diff
patch to add as www/radicale2 (6.55 KB, patch)
2018-03-24 02:58 UTC, Alexandre C. Guimarães
no flags Details | Diff
patch to add as www/radicale2 (6.58 KB, patch)
2018-03-29 16:14 UTC, Alexandre C. Guimarães
rigoletto: maintainer-approval? (sunpoet)
Details | Diff
Updated new port of www/radicale2 (4.83 KB, text/plain)
2018-04-09 08:21 UTC, Aaron LI
no flags Details
radicale-2.1.9.shar (4.92 KB, text/plain)
2018-05-17 13:23 UTC, Bernhard Froehlich
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Michael Bueker 2017-09-28 06:13:33 UTC
radicale2 is a far-reaching rewrite (requiring python3) with significant performance improvements: http://radicale.org/1to2/
Comment 1 Tilman Keskinoz freebsd_committer 2018-02-13 19:02:25 UTC
Can you provide a patch?
Comment 2 Michael Bueker 2018-02-14 07:27:39 UTC
Unfortunately I can't, because the changes from version 1 to 2 are extensive (as described in the link), and I'm not experienced in port maintenance.
Comment 3 Alexandre C. Guimarães freebsd_committer 2018-03-18 03:23:10 UTC
Created attachment 191588 [details]
Update to 2.1.8.

* update to 2.1.8
* add TEST_DEPENDS
* remove OPTIONS[1]

Not really tested, I do not use www/radicale, and I am not feeling setting it up just to test. :-D

* 'poudriere testport' went fine.
* the builtin python test: passed 20/22.

[1] I could not find any reference to them anywhere for this version.
Comment 4 Tobias Kortkamp freebsd_committer 2018-03-18 05:59:28 UTC
Reassign to sunpoet who has taken maintainership in the meantime.

If we add Radicale 2 as www/radicale2 it would given users a chance
to migrate to it from Radicale 1.
Comment 5 Alexandre C. Guimarães freebsd_committer 2018-03-24 02:58:04 UTC
Created attachment 191766 [details]
patch to add as www/radicale2

I attach a patch in case of www/radicale become www/radicale2.
Comment 6 Alexandre C. Guimarães freebsd_committer 2018-03-29 16:14:48 UTC
Created attachment 191937 [details]
patch to add as www/radicale2

The previous patch had a change in www/Makefile what does not belong to this bug.

Thanks.
Comment 7 Aaron LI 2018-04-09 08:21:10 UTC
Created attachment 192355 [details]
Updated new port of www/radicale2

Hello,

I've tested the submitted www/radicale2 (v2.1.8) on DragonFly BSD (which also uses a slightly patched Ports Collection from FreeBSD).  Since I want to use uWSGI with Radicale, but the current version misses the .wsgi script shipped by the upstream.

I attached an updated version with the .wsgi and .fcgi scripts also being installed.  Radicale2 currently runs fine on my DragonFly BSD machine.

As mentioned by Alexandre C. Guimarães that the builtin python tests failed on two of the tests, both of them are PEP8 styles problems, so should be fine.

P.S. I didn't checkout the FreeBSD Ports Collection via svn, so I just created a shell archive (.shar) for my updated version of www/radicale2.


Cheers,
Aaron
Comment 8 Bernhard Froehlich freebsd_committer 2018-05-17 13:22:22 UTC
Thanks guys, that port is quite good already. I only had to fix the path to the config in the rc startscript and add a shebangfix for the fcgi and wsgi scripts. Now it builds fine with poudriere, portlint is silent and it runs fine.

I'd say it's okay to commit it to the portstree. I also think it makes sense to add it as a new port because the upgrade from 1.x to 2.x requires people to export the data with 1.x or you won't be able to access your data with 2.x. It's described in https://radicale.org/1to2/

@Sunpoet Do you want to go ahead and commit it?
Comment 9 Bernhard Froehlich freebsd_committer 2018-05-17 13:23:29 UTC
Created attachment 193481 [details]
radicale-2.1.9.shar
Comment 10 Grégory Reinbold 2018-05-31 19:14:29 UTC
Comment #9 I tried your shell archive and building the port work well.

I think it is necessary to add a message after the installation to:

- advising a migration of the data if it's an upgrade from 1.x.x to 2.x.x. Including this link https://radicale.org/1to2/
- advising to follow the documentation at https://radicale.org/documentation/ to configure the server
- advising to install apache24 if the htpasswd tool is needed to handle securly the htpasswd file
Comment 11 commit-hook freebsd_committer 2018-06-12 14:19:31 UTC
A commit references this bug:

Author: decke
Date: Tue Jun 12 14:19:18 UTC 2018
New revision: 472256
URL: https://svnweb.freebsd.org/changeset/ports/472256

Log:
  Radicale is a small but powerful CalDAV (calendars, todo-lists) and CardDAV
  (contacts) server, that:

      Shares calendars through CalDAV, WebDAV and HTTP.
      Shares contacts through CardDAV, WebDAV and HTTP.
      Supports events, todos, journal entries and business cards.
      Works out-of-the-box, no installation nor configuration required.
      Can warn users on concurrent editing.
      Can limit access by authentication.
      Can secure connections.
      Works with many CalDAV and CardDAV clients.
      Is GPLv3-licensed free software.

  WWW: http://radicale.org/
  WWW: https://github.com/Kozea/Radicale

  PR:		222657
  Submitted by:	Alexandre C. Guimaraes <lebarondemerde@privacychain.ch>

Changes:
  head/www/Makefile
  head/www/radicale2/
  head/www/radicale2/Makefile
  head/www/radicale2/distinfo
  head/www/radicale2/files/
  head/www/radicale2/files/radicale.in
  head/www/radicale2/pkg-descr
  head/www/radicale2/pkg-message
  head/www/radicale2/pkg-plist
Comment 12 Bernhard Froehlich freebsd_committer 2018-06-12 14:21:45 UTC
Thanks to all people involved! Since sunpoet did not respond I have taken over maintainership for the port and committed it.

Beware when updating from radicale 1.x to follow the migration instructions (also mentiond in pkg-message).